在树莓派上安装mysql时出现了“依赖mysql-server-5.5 但是它将不会被安装”的错误。如下图:

错误出现原因是:镜像源选择有误。

可能有很多人像我一样,为了连接镜像的网速更快,就把系统自带的镜像源更换到国内的,比如中科大的,阿里云的等等等等。这样做确实更快乐了,但是带来的未知问题也更多了。

原因很简单——国内镜像源更新永远比自带的源更晚,甚至有不少修改,或者版本过低等问题。

解决办法很简单:将源修改为系统自带的。(除非源被墙,否则我的经验告诉我,不要修改源。)如图:

注意,最新版的后缀是wheezy,旧版本是jessie。根据需要留下自己的版本,将其他的注释掉。

我觉得,这个解决办法对各自linux发行版都适用。

对于树莓派,系统原来的源地址为:

恢复好自带源后,就使用 sudo apt-get upgrade 和 sudo apt-get update 更新软件列表,然后重新安装。

安装mysql的命令如下:

为了保险起见,建议带上缺包自动修复的命令,即:

不出意外的话,就会出现顺利安装了。如果安装时提示还有缺包,就用下面的代码试试。

如果你真的要修改源,建议对系统自带的源先进行备份,备份方法如下:

然后使用nano编辑器编辑即可。如果不需要某个源,在前面添加#就行,不用删除,也方便自己调试。

Good Luck!

 

2条评论

  1. 你好,我是树莓派4B,安装mysql按照这个方法还是不行。使用更换后的源显示
    E: 无法定位软件包 mysql
    你有遇到类似的问题吗?
    我之前的错误是:
    下列软件包有未满足的依赖关系:
    mysql-server : 依赖: mysql-server-5.5 但是它将不会被安装

    1. 作者

      你好,我很久没有安装MySQL了,你看看是不是默认源连接不到的原因,可以找找别的源再试试。

发表评论

电子邮件地址不会被公开。 必填项已用*标注